diff --git a/boot/sbl/src/rprc/sbl_rprc.c b/boot/sbl/src/rprc/sbl_rprc.c
index d305e87..cc503cd 100644
--- a/boot/sbl/src/rprc/sbl_rprc.c
+++ b/boot/sbl/src/rprc/sbl_rprc.c
@@ -51,6 +51,7 @@
 /* ========================================================================== */
 int32_t (*fp_readData)(void *dstAddr, void *srcAddr,
                         uint32_t length);
+int32_t MCU2_CPU0_memSetDone = 0;
 
 /* Function Pointer used while reading data from the storage. */
 void  (*fp_seek)(void *srcAddr, uint32_t location);
@@ -788,6 +789,7 @@ static int32_t SBL_RprcImageParse(void *srcAddr,
     uint32_t i;
     int32_t retVal = E_PASS;
 
+
     const uint32_t SocAtcmAddr[] =
     {
 #if defined(SOC_AM64X) || (SBL_USE_DMA && (defined(SOC_J721E) || defined(SOC_J7200) || defined(SOC_J721S2)))
@@ -853,6 +855,14 @@ static int32_t SBL_RprcImageParse(void *srcAddr,
     };
 
 
+    if(CoreId == MCU2_CPU0_ID)
+    {
+	MCU2_CPU0_memSetDone = 1;
+    }
+    if((CoreId == MCU2_CPU1_ID) && (!MCU2_CPU0_memSetDone))
+    {
+        SBL_SetupCoreMem(CoreId - 1);
+    }
     /*read application image header*/
     fp_readData(&header, srcAddr, sizeof (rprcFileHeader_t));
 
